@import 'reset';


@font-face{

	font-family: "bask";
	src:url("../fonts/libre-bask/LibreBaskerville-Regular.ttf");
}


@font-face{

	font-family: "baskita";
	src:url("../fonts/libre-bask/LibreBaskerville-Italic.ttf");
}


html{

	font-size: 10pt; 
}

body{

	font-family: "bask";
	line-height: 1.4rem;
	background-color: #eeeeee; 
	counter-reset: sheets;

	.page{

		background-color: white;
		margin: 5rem 0 5rem 5rem; 
		width: 420mm;
		height: 297mm;
		padding-top: 10mm;
		display: flex;
		flex-wrap: wrap;
		align-content: flex-start;
		justify-content: flex-start;
		position: relative;

		sup{

			line-height: 0;
			vertical-align: super;
			font-size: 0.7rem;
		}

		h2{

			font-family: "baskita";
			font-size: 2rem;
			line-height: 2.8rem;
		}

		em{

			font-family: "baskita";
		}

		.head{

			display: flex;
			flex-wrap: wrap;
			position: absolute;
			bottom: 12mm;
			font-size: 8pt;

			h2{

				font-size: 0.8rem;
				line-height: 1.5rem;
			}


			>*{

				width: calc(348mm / 4);
			}

			>*:nth-child(3){

				margin: 0 0 0 24mm;

			}


		}



		.board{

			width: 100%;
		}

		.left,
		.right{

			width: 50%;
		}

		.left{

			padding-right: 12mm;
		}

		.right{

			padding-left: 12mm;
		}

		.foot{

			position: absolute;
			bottom: 12mm;
			font-size: 8pt;

			display: flex;

			li{

				width: calc(348mm / 4);
			}

		}
	}


	.page.cover{

		.num{

			float: right;
			font-size: 2rem;
			line-height: 2.8rem;
			margin: 0 0 0 -4mm;
		}


		.left,
		.right{

			p:first-of-type{

				margin-top: 4.5rem;
			}

			p{

				margin-bottom: 1.4rem; 
				width: calc(100% / 4 * 3);
			}


			ul:not(.foot){

				margin: 0 0 1.4rem 0;

				li::before{

					content: "↗";
					margin: 0 0.5rem 0 0;
					font-size: 0.8rem;
					line-height: 0;
				}
			}

		}
	}

	.page.cover[data-project="cover"]{


		padding-left: 12mm;
		padding-right: 12mm;
		

		ul.foot{

			display: none;
		}

		ul:not(.foot){

			margin: 0 0 3rem 0;

			li::before{

				content: "";
				margin: 0;

			}
		}

		.left{

			>ul{

				position: absolute;
				bottom: 0;

				li{

					margin: 0 0 1.4rem 0;
				}
			}
		}

		img{

			margin: 2rem 0 0 0;
		}


		.num{

			display: none;
		}
	}

	.page:nth-child(odd){

		padding-left: 36mm;
		padding-right: 12mm;
		counter-increment: sheets;
	}

	.page:nth-child(odd)::before,
	.page:nth-child(even)::before{

		position: absolute;
		display: block;
		margin: -20mm 0 0 0;
		color: #000;
		left: 5rem;
		white-space: pre;
	}

	.page:nth-child(odd)::before{

		content: "Feuille " counter(sheets) "\a— RECTO";
	}

	.page:nth-child(even)::before{
		
		content: "Feuille " counter(sheets) "\a— VERSO";
	}


	.page:nth-child(even){

		padding-left: 12mm;
		padding-right: 36mm;
	}


	.medias.web{

		img{

			border: solid 1cm #000;
		}
	}


	img{

		display: inline-block;
		page-break-inside: avoid;
		max-width: 100%;
		max-height: calc(297mm - 5rem);
		vertical-align: top;
		margin: 0 0 8mm 0;

	}

	
}


@media print{

	@page{

		size: 420mm 297mm;
		margin: 0;
	}


	body{

		background-color: white;

		.page:nth-child(odd)::before,
		.page:nth-child(even)::before{

			display: none;
		}


		.page{

			margin: 0;
		}
	}
}